<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!--=============== BOXICONS ===============-->
    <link th:href="@{https://unpkg.com/boxicons@2.1.2/css/boxicons.min.css}" rel='stylesheet'>

    <object th:include="fragments/fragment :: js" th:remove="tag"></object>
    <object th:include="fragments/fragment :: navbar-css" th:remove="tag"></object>
    <link rel="stylesheet" th:href="@{/css/kustomisasi-sertifikat.css}">



    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@9/swiper-bundle.min.css" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
    <title>Custom Sertifikat</title>
</head>
<body>
<header th:replace="fragments/fragment :: navbar"></header>

<section class="content-sidebar-section">
    <!--    <div class="text">Buat Akun Penyelenggara</div>  <br>-->
    <!--    <br>-->
    <!--    <br>-->

    <!--    <form th:action="@{/admin/dashboard/list-request-penyelenggara/detail/} + ${request.requestId} + @{/buat-akun}" method="POST">-->
    <form th:action="@{/seminars/upload-sertifikat/} + ${seminarId} + @{/preview}" method="POST" enctype="multipart/form-data">
        <div class="card-kustomisasi-sertifikat">
            <div class="card-guideline-sertifikat">
                <section class="section-guideline" id="guideline-sertifikat">
                    <div class="guideline-sertifikat swiper" >
                        <div class="swiper-wrapper">
                            <div class="swiper-slide" style="display: flex; margin-right: 0px; flex-direction: column; align-items: center" >
                                <div class="title-guideline">
                                    Guideline Upload Sertifikat
                                </div>
                                <div class="list-card-guideline">
                                    <div class="list-card-guideline-description">
                                        1. Ukuran file maksimum 2 MB
                                    </div>
                                </div>
                                <div class="list-card-guideline">
                                    <div class="list-card-guideline-description">
                                        2. Ukuran sertifikat memiliki rasio 3:2
                                    </div>
                                </div>
                                <div class="list-card-guideline">
                                    <div class="list-card-guideline-description">
                                        3. Menyediakan tempat untuk nama & barcode dengan posisi wajib mengikuti contoh di slide berikutnya
                                    </div>
                                </div>
                            </div>
                            <div class="swiper-slide"  style="display: flex; margin-right: 0px; flex-direction: column; align-items: center">
                                <div class="title-guideline-sample-scertificate">
                                    Contoh Serifikat
                                </div>
                                <div class="sample-certifitcate-image-wrapper">
                                    <!-- TODO: Fetch image preview here !!! -->
                                    <img src="/img/sample-certificate.png" alt="" />
                                </div>
                            </div>
                        </div>
                        <div class="swiper-button-next nav-btn" style="color: #F67280;"></div>
                        <div class="swiper-button-prev nav-btn" style="color: #F67280;"></div>
                        <div class="swiper-pagination"></div>
                    </div>
                </section>
                <!--                <div class="guideline-title">Guideline Upload Sertifikat</div>-->
                <!--                <div class="list-guideline-wrapper">-->
                <!--                    <div class="list-guideline-description"></div>-->
                <!--                    <div class="list-guideline-description"></div>-->
                <!--                    <div class="list-guideline-description"></div>-->
                <!--                </div>-->

            </div>
            <div class="section-divider">
                <div class="divider"></div>
            </div>
            <label for="file-input" class="drop-container">
                <svg width="80" height="80" viewBox="0 0 80 80" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <g clip-path="url(#clip0_2286_16121)">
                        <path d="M64.5 33.4663C62.2333 21.9663 52.1333 13.333 40 13.333C30.3667 13.333 22 18.7997 17.8333 26.7997C7.8 27.8663 0 36.3663 0 46.6663C0 57.6997 8.96667 66.6663 20 66.6663H63.3333C72.5333 66.6663 80 59.1997 80 49.9997C80 41.1997 73.1667 34.0663 64.5 33.4663ZM63.3333 59.9997H20C12.6333 59.9997 6.66667 54.033 6.66667 46.6663C6.66667 39.833 11.7667 34.133 18.5333 33.433L22.1 33.0663L23.7667 29.8997C26.9333 23.7997 33.1333 19.9997 40 19.9997C48.7333 19.9997 56.2667 26.1997 57.9667 34.7663L58.9667 39.7663L64.0667 40.133C69.2667 40.4663 73.3333 44.833 73.3333 49.9997C73.3333 55.4997 68.8333 59.9997 63.3333 59.9997ZM26.6667 43.333H35.1667V53.333H44.8333V43.333H53.3333L40 29.9997L26.6667 43.333Z" fill="black"/>
                    </g>
                    <defs>
                        <clipPath id="clip0_2286_16121">
                            <rect width="80" height="80" fill="white"/>
                        </clipPath>
                    </defs>
                </svg>
                <span class="icon-title">File should be an image</span>
                <span class="drop-title">Attach file here</span>
                <span class="drop-description">or</span>
                <input type="file" accept="image/*" name="imageMultipart" required="" id="file-input">
            </label>
            <div class="button-next-wrapper">
                <div class="btn-conteiner">
                    <button class="btn-content" type="submit">
                        <span class="btn-title">Next</span>
                        <span class="icon-arrow">
                          <svg width="40px" height="40px" viewBox="0 0 66 43" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                            <g id="arrow" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                              <path id="arrow-icon-one" d="M40.1543933,3.89485454 L43.9763149,0.139296592 C44.1708311,-0.0518420739 44.4826329,-0.0518571125 44.6771675,0.139262789 L65.6916134,20.7848311 C66.0855801,21.1718824 66.0911863,21.8050225 65.704135,22.1989893 C65.7000188,22.2031791 65.6958657,22.2073326 65.6916762,22.2114492 L44.677098,42.8607841 C44.4825957,43.0519059 44.1708242,43.0519358 43.9762853,42.8608513 L40.1545186,39.1069479 C39.9575152,38.9134427 39.9546793,38.5968729 40.1481845,38.3998695 C40.1502893,38.3977268 40.1524132,38.395603 40.1545562,38.3934985 L56.9937789,21.8567812 C57.1908028,21.6632968 57.193672,21.3467273 57.0001876,21.1497035 C56.9980647,21.1475418 56.9959223,21.1453995 56.9937605,21.1432767 L40.1545208,4.60825197 C39.9574869,4.41477773 39.9546013,4.09820839 40.1480756,3.90117456 C40.1501626,3.89904911 40.1522686,3.89694235 40.1543933,3.89485454 Z" fill="#FFFFFF"></path>
                              <path id="arrow-icon-two" d="M20.1543933,3.89485454 L23.9763149,0.139296592 C24.1708311,-0.0518420739 24.4826329,-0.0518571125 24.6771675,0.139262789 L45.6916134,20.7848311 C46.0855801,21.1718824 46.0911863,21.8050225 45.704135,22.1989893 C45.7000188,22.2031791 45.6958657,22.2073326 45.6916762,22.2114492 L24.677098,42.8607841 C24.4825957,43.0519059 24.1708242,43.0519358 23.9762853,42.8608513 L20.1545186,39.1069479 C19.9575152,38.9134427 19.9546793,38.5968729 20.1481845,38.3998695 C20.1502893,38.3977268 20.1524132,38.395603 20.1545562,38.3934985 L36.9937789,21.8567812 C37.1908028,21.6632968 37.193672,21.3467273 37.0001876,21.1497035 C36.9980647,21.1475418 36.9959223,21.1453995 36.9937605,21.1432767 L20.1545208,4.60825197 C19.9574869,4.41477773 19.9546013,4.09820839 20.1480756,3.90117456 C20.1501626,3.89904911 20.1522686,3.89694235 20.1543933,3.89485454 Z" fill="#FFFFFF"></path>
                              <path id="arrow-icon-three" d="M0.154393339,3.89485454 L3.97631488,0.139296592 C4.17083111,-0.0518420739 4.48263286,-0.0518571125 4.67716753,0.139262789 L25.6916134,20.7848311 C26.0855801,21.1718824 26.0911863,21.8050225 25.704135,22.1989893 C25.7000188,22.2031791 25.6958657,22.2073326 25.6916762,22.2114492 L4.67709797,42.8607841 C4.48259567,43.0519059 4.17082418,43.0519358 3.97628526,42.8608513 L0.154518591,39.1069479 C-0.0424848215,38.9134427 -0.0453206733,38.5968729 0.148184538,38.3998695 C0.150289256,38.3977268 0.152413239,38.395603 0.154556228,38.3934985 L16.9937789,21.8567812 C17.1908028,21.6632968 17.193672,21.3467273 17.0001876,21.1497035 C16.9980647,21.1475418 16.9959223,21.1453995 16.9937605,21.1432767 L0.15452076,4.60825197 C-0.0425130651,4.41477773 -0.0453986756,4.09820839 0.148075568,3.90117456 C0.150162624,3.89904911 0.152268631,3.89694235 0.154393339,3.89485454 Z" fill="#FFFFFF"></path>
                            </g>
                          </svg>
                        </span>
                    </button>
                </div>
            </div>
        </div>
    </form>
    <!-- Modal Successful Message -->

</section>
<!-- Swiper JS -->
<script src="https://cdn.jsdelivr.net/npm/swiper@9/swiper-bundle.min.js"></script>
<script>
    var swiperReview = new Swiper(".guideline-sertifikat", {
        spaceBetween: 30,
        centeredSlides: true,

        // slidesPerView: 1,
        // grabCursor: true,
        // loop: true,
        // autoplay: {
        //     delay: 5000,
        //     disableOnInteraction: false,
        // },
        // pagination: {
        //     el: ".swiper-pagination",
        //     clickable: true,
        // },
        navigation: {
            nextEl: ".swiper-button-next",
            prevEl: ".swiper-button-prev",
        },
    });
</script>
<script>
    let sidebar = document.querySelector(".sidebar");
    let closeBtn = document.querySelector("#btn");

    closeBtn.addEventListener("click", ()=>{
        sidebar.classList.toggle("open");
        console.log("Button clicked!");
        console.log(sidebar.classList);
        menuBtnChange();
    });

    function menuBtnChange() {
        if(sidebar.classList.contains("open")){
            closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");//replacing the icons class
        }else {
            closeBtn.classList.replace("bx-menu-alt-right","bx-menu");//replacing the icons class
        }
    }
</script>
</body>
</html>